﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>


     <script lang="javascript">

         function Saludar()
         {
            alert('Hola Mundo');

         }

         function Verificar()
         {

             var control = document.getElementById('chkServidor') ;

             if (control.checked) {
                 return true;
             }
             else
             {
                 document.getElementById("Etiqueta").style.color= "#FF0000";
                 document.getElementById("Etiqueta2").style.color= "#FF0000";
                 return false;
             }
         }

      </script>


</head>
<body>
    <form id="form1" runat="server" onsubmit="return Verificar()">
        <div>

            <h1> ARRANCO SALUDO</h1>
            <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label><br />
            <input type="checkbox" id="chkServidor" value="Ir al servidor" checked />&nbsp; <span id="Etiqueta">ir al servidor</span> 
            <asp:Panel ID="Panel1" runat="server">
            
                
            <asp:Label ID="Etiqueta2" ClientIDMode="Static" runat="server" Text="Label"></asp:Label>

            </asp:Panel>
            <br />
            <br />
            <input type="button" value="Saludo" onclick="Saludar()" />
            <br />

            <input type="button"  value="Saludo sin función" onclick=" alert('Hola, la hora es:' + Date()); alert('Saludo 2');      " />

            <br />
            <asp:Button ID="Button1" runat="server" Text="Saludo 3" OnClick="Button1_Click" OnClientClick="Saludar()"  />


            <h1> TERMINO SALUDO</h1>
        </div>
    </form>
</body>
</html>
